#
# spec file for package cross-ppc64-binutils (Version 2.11.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         cross-ppc64-binutils
Copyright:    LGPL/GPL
Group:        Development/Tools
Prefix:	      /opt/cross
Autoreqprov:  off
Provides:     cross-ppc64-binutils
Version:      2.11.2
Release:      49
Summary:      GNU binutils for cross-development to PowerPC 64bit processors
Source:       ftp://ftp.valinux.com/pub/support/hjl/binutils/binutils-%{version}.tar.gz
Patch1:       ppc64-binutils-2.11.2.patch.gz
BuildRoot:    %{_tmppath}/buildroot-%{name}

%description
Cross development utilities: ar, as, gasp, gprof, ld, nm, objcopy, objdump,
ranlib, size, strings, strip.  These utilities are needed whenever you
want to compile a program or a kernel.  This package differs from the
normal SuSE binutils package in that it is designed to cross-compile
from whatever platform SuSE Linux is running on to PowerPC64 targets.
This can be handy even if you are running on a PowerPC64 development
platform, as it decouples the host tools from your embedded tools.

Authors:
--------
    H.J. Lu <hjl@nynexst.com>
    Ken Raeburn <raeburn@cygnus.com>
    Ian Lance Taylor <ian@cygnus.com>
    J.T. Conklin <jtc@cygnus.com>
    Stan Shebs <shebs@cygnus.com>
    Steve Chamberlain <sac@cygnus.com>
    David J. Mackenzie <djm@cygnus.com>
    Jeffrey A. Law <law@cygnus.com>
    Sean Eric Fagan <sef@cygnus.com>
    Jeffrey Osier <jeffrey@cygnus.com>
    Jeffrey Wheat <cassidy@cygnus.com>
    Mark Eichin <eichin@cygnus.com>
    Roland H. Pesch <pesch@wrs.com>
    Per Bothner <bothner@cygnus.com>
    David D "Zoo" Zuhn <zoo@cygnus.com>
    Rob Savoye <rob@cygnus.com>
    Jim Kingdon <kingdon@cygnus.com>
    Mike Werner <mtw@cygnus.com>
    Fred Fish <fnf@cygnus.com>
    John Gilmore <gnu@cygnus.com>
    Brendan Kehoe <brendan@cygnus.com>
    D. V. Henkel-Wallace <gumby@cygnus.com>
    K. Richard Pixley <rich@cygnus.com>
    Bill Cox <bill@cygnus.com>
    Peter Schauer <pes@regent.e-technik.tu-muenchen.de>
    Eric Youngdale <eric@aib.com>
    Richard Earnshaw <rwe@pegasus.esprit.ec.org>
    Doug Evans <dje@cygnus.com>
    Ian Dall <dall@hfrd.dsto.gov.au>
    Jason Merrill <jason@cygnus.com>
    Jim Wilson <wilson@cygnus.com>
    Kung Hsu <kung@cygnus.com>
    Michael Meissne <meissner@osf.org>
    Michael Tiemann <tiemann@cygnus.com>
    Richard Stallman <rms@gnu.ai.mit.edu>
    Stu Grossman <grossman@cygnus.com>
    Torbjorn Granlund <tege@cygnus.com>

SuSE series: d

%define HOST %(echo %{_target_cpu}|sed -e "s/i.86/i486/" -e "s/ppc/powerpc/")-suse-linux
%define TARGET powerpc64-linux
%define BUILD_TARGET %{TARGET}
%prep
%setup -n binutils-%{version}
%patch1 -p1
#%patch0

%build
%{?suse_update_config:%{suse_update_config}}
( cd ld; automake )
CFLAGS="${RPM_OPT_FLAGS}" CC=gcc LDFLAGS="-s" ./configure --prefix=%{prefix} \
        --disable-nls --target=%{BUILD_TARGET}
make all

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
strip $RPM_BUILD_ROOT%{prefix}/bin/%{BUILD_TARGET}-*
strip $RPM_BUILD_ROOT%{prefix}/%{BUILD_TARGET}/bin/*
rm -rf $RPM_BUILD_ROOT%{prefix}/man
rm -rf $RPM_BUILD_ROOT%{prefix}/lib
rm -rf $RPM_BUILD_ROOT%{prefix}/include
rm $RPM_BUILD_ROOT%{prefix}/bin/%{BUILD_TARGET}-c++filt

%clean
find $RPM_BUILD_ROOT|sed "s#$RPM_BUILD_ROOT##"|sort > /tmp/install_file.txt
rpm -qpl %{_topdir}/RPMS/%{_arch}/*-%{release}.%{_arch}.rpm|sort > /tmp/rpm_file.txt
(diff -u /tmp/install_file.txt /tmp/rpm_file.txt > /tmp/file_diff.txt)
cat /tmp/file_diff.txt

%files
# c++filt is part of the gcc package
%dir /opt/cross/%{BUILD_TARGET}
%dir /opt/cross/%{BUILD_TARGET}/bin
%dir /opt/cross/%{BUILD_TARGET}/lib
%dir /opt/cross/%{BUILD_TARGET}/lib/ldscripts
/opt/cross/bin/%{BUILD_TARGET}-size
/opt/cross/bin/%{BUILD_TARGET}-objdump
/opt/cross/bin/%{BUILD_TARGET}-ar
/opt/cross/bin/%{BUILD_TARGET}-strings
/opt/cross/bin/%{BUILD_TARGET}-ranlib
/opt/cross/bin/%{BUILD_TARGET}-objcopy
/opt/cross/bin/%{BUILD_TARGET}-addr2line
/opt/cross/bin/%{BUILD_TARGET}-readelf
/opt/cross/bin/%{BUILD_TARGET}-nm
/opt/cross/bin/%{BUILD_TARGET}-strip
/opt/cross/bin/%{BUILD_TARGET}-as
/opt/cross/bin/%{BUILD_TARGET}-gasp
/opt/cross/bin/%{BUILD_TARGET}-ld
/opt/cross/%{BUILD_TARGET}/bin/nm
/opt/cross/%{BUILD_TARGET}/bin/strip
/opt/cross/%{BUILD_TARGET}/bin/ar
/opt/cross/%{BUILD_TARGET}/bin/ranlib
/opt/cross/%{BUILD_TARGET}/bin/as
/opt/cross/%{BUILD_TARGET}/bin/ld
/opt/cross/%{BUILD_TARGET}/lib/ldscripts/elf64ppc*
/opt/cross/%{BUILD_TARGET}/lib/ldscripts/elf32ppc*

%changelog -n cross-ppc64-binutils
* Tue Sep 25 2001 - olh@suse.de
- update ppc64-binutils-2.11.2.patch.gz
* Mon Aug 27 2001 - olh@suse.de
- package the elf32ppc ldscripts
* Mon Aug 27 2001 - olh@suse.de
- update to binutils-2.11.2 + binutils-ppc64-vs-2.11.2-patch.gz
* Thu Jul 12 2001 - olh@suse.de
- add %%{?suse_update_config:%%{suse_update_config}}
* Wed Jul 11 2001 - olh@suse.de
- fix compile with gcc30
* Mon Jun 11 2001 - olh@suse.de
- initial package with binutils-2.11 and first ppc64 patches
  see http://www.linuxppc64.org/
